import logging

from django.apps import AppConfig
from django.conf import settings

logger = logging.getLogger(__name__)


class EPDBConfig(AppConfig):
    default_auto_field = "django.db.models.BigAutoField"
    name = "epdb"

    def ready(self):
        import epdb.signals  # noqa: F401

        model_name = getattr(settings, "EPDB_PACKAGE_MODEL", "epdb.Package")
        logger.info(f"Using Package model: {model_name}")
